Subject: multiple users with the same login name problem
From: David Starks-Browning <[email-masked]>
To: [email-masked]
Cc: "jamie mccrindle" <[email-masked]>
Date: Wed, 19 Dec 2001 11:33:26 +0000

Corinna, can you tell me how /etc/passwd created?  Does it use local
or domain accounts, or does it depend on which account you run "setup"
with?  Then perhaps I can put something in the FAQ about this.

(Sorry, my own /etc/passwd was hand-crafted some time ago, and I don't
have the resources for a new Cygwin install to experiment with.)

Thanks,
David

On Monday 17 Dec 01, jamie mccrindle writes:
> i've spent some time trying to figure out "permission denied" errors on my
> install of cygwin. it turns out that it was having some difficulty with the
> fact that my local user name is the same as my domain user name and that
> they're different accounts on the machine.
> 
> cygwin chose the local user and created the /etc/passwd file accordingly.
> however, since i was logged in using my domain login it was throwing
> "permission denied" errors. by deleting the entry from my /etc/passwd file
> and replacing it with the entry from mkpasswd -d, i solved the problem.
> 
> i'm not sure cygwin's behavior was incorrect but it was not obvious from
> either the user guide or the faq that this problem could occur and how to
> solve it. i used google to search the mail archives but "permission denied"
> is such a nebulous error that i couldn't find anything there either.
> 
> could you guys add something in the faq about troubleshooting "permission
> denied" errors?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/